from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("BooNEDataServer Install")
    pixmap = "boonedataserver.png"
    sortPriority = 10
    showLoginChoice = 1
    description = ("This will install the BooNE Data Server workgroup.")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("bootdisk")
        dispatch.skipStep("makebootdisk", skip = 1)

    def setGroupSelection(self, comps, intf):
	FermiInstallClass.setGroupSelection(self, comps, intf)

        comps["BooNEDataServer"].select()
